Staredit Network > Forums > Modding Assistance > Topic: AI problems after upgrade to 1.23?
AI problems after upgrade to 1.23?
Jul 11 2019, 2:08 pm
By: IlyaSnopchenko  

Jul 11 2019, 2:08 pm IlyaSnopchenko Post #1

The Curious

Hello folks,

As you may know I've been toiling on a campaign making use of custom AI scripts - using AISE a lot - for combat and service tasks. I've been doing it slow lately because of all the workload (yeah... food won't buy itself) but yesterday after Starcraft updated to 1.23 - please let me skip the ranting - I tried to see if SAMASE still worked. I launched my mod and noticed that none of the new scripts work anymore (the short ones that - say - are telling flying buildings to land at a designated locations are totally written off, the combat ones have the enemy player mine and attack (though it looks like it doesn't follow through with any of the attacks involving the new opcodes), but does not build, do upgrades or tech researches, nor expand. Even the stock AIs I'm sometimes using in my missions are suffering from the same malady - even though when I run these same missions without patching the game, everything is fine.

I guess the 1.23 patch broke something? Does anyone experience the same kind of problems?



Who am I, and why should I care?

Jul 11 2019, 4:02 pm Nekron Post #2



Update samase




Jul 11 2019, 6:27 pm IlyaSnopchenko Post #3

The Curious

Owie. Guess it was too hasty to say that the version of SAMASE I had works well. :) Thanks Nekron.



Who am I, and why should I care?

Options
  Back to forum
Please log in to reply to this topic or to report it.
Members in this topic: None.
[2021-12-04. : 10:11 pm]
Ultraviolet -- DarkenedFantasies
DarkenedFantasies shouted: sraw531 It's misleading or incorrect by saying it's a brood war trigger. It's a "1.04 feature", only making it incompatible with the retail game version but it still works with both original and brood war 1.04+. If the trigger doesn't work for you, you messed something up.
ohh I see, still can have scm file, but it changes the format to SC hybrid map instead of just SC map
[2021-12-04. : 7:53 pm]
DarkenedFantasies -- sraw531
sraw531 shouted: anyone here know why alliance triggers seem to be broodwar specific according to scmdraft2?
It's misleading or incorrect by saying it's a brood war trigger. It's a "1.04 feature", only making it incompatible with the retail game version but it still works with both original and brood war 1.04+. If the trigger doesn't work for you, you messed something up.
[2021-12-04. : 4:34 am]
Slyence -- Ohh. Sneaky emote. Hmmmm
[2021-12-04. : 4:01 am]
lil-Inferno -- Slyence
Slyence shouted: Does anyone know if Voyager is still around?
he is but you'll have way better lucc finding him on SEN discord
[2021-12-04. : 3:04 am]
Ultraviolet -- Slyence
Slyence shouted: Sorry about all the reminiscing. Just brings back the good Ole days.
we don't do that here :shifty:
[2021-12-04. : 3:03 am]
Ultraviolet -- sraw531
sraw531 shouted: anyone here know why alliance triggers seem to be broodwar specific according to scmdraft2?
no idea why, but just confirmed through a small test that you're correct
[2021-12-04. : 3:01 am]
Ultraviolet -- NudeRaider
NudeRaider shouted: NudeRaider *sigh* n
oh I didn't know wtf you were going for lol
[2021-12-04. : 2:43 am]
sraw531 -- literally just copied the trigger from the original map and changed the location name and it breaks...
[2021-12-04. : 2:33 am]
sraw531 -- trying to make a remake of Terran9, which has zerg and protoss who hate each other
[2021-12-04. : 2:32 am]
sraw531 -- anyone here know why alliance triggers seem to be broodwar specific according to scmdraft2?
Please log in to shout.


Members Online: Roy